Index: ipk/source.sh4/players_tithek/CONTROL/control
===================================================================
--- ipk/source.sh4/players_tithek/CONTROL/control	(revision 23481)
+++ ipk/source.sh4/players_tithek/CONTROL/control	(revision 23481)
@@ -0,0 +1,13 @@
+Package: titan-plugin-player-tithek
+Version: 1.0
+Description: TiThek the Multimedia-thek.
+Section: player
+Priority: optional
+Maintainer: AAF Forum
+Architecture: sh4
+OE: Skin
+Homepage: http://www.aaf-digital.info
+Depends:
+Source: http://www.aaf-digital.info
+Titanname: TiTan Mediathek
+Showname: TiTan Mediathek
Index: ipk/source.sh4/players_tithek/CONTROL/postinst
===================================================================
--- ipk/source.sh4/players_tithek/CONTROL/postinst	(revision 23481)
+++ ipk/source.sh4/players_tithek/CONTROL/postinst	(revision 23481)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+echo "successfully installed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+
+echo "Please use GUI restart !!!!"
+
+exit 0
Index: ipk/source.sh4/players_tithek/CONTROL/postrm
===================================================================
--- ipk/source.sh4/players_tithek/CONTROL/postrm	(revision 23481)
+++ ipk/source.sh4/players_tithek/CONTROL/postrm	(revision 23481)
@@ -0,0 +1,15 @@
+#!/bin/sh
+TMP=/tmp/.tmp
+
+rm -r /var/usr/local/share/titan/plugins/tithek
+
+echo "successfully removed"
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+exit 0
Index: ipk/source.sh4/players_tithek/CONTROL/preinst
===================================================================
--- ipk/source.sh4/players_tithek/CONTROL/preinst	(revision 23481)
+++ ipk/source.sh4/players_tithek/CONTROL/preinst	(revision 23481)
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+TMP=/tmp/.tmp
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=16
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo ok		
+	fi
+else
+	echo "syncing disk"
+	sync
+fi  
+echo "installing TiThek ..."
+
+exit 0
Index: ipk/source.sh4/players_tithek/CONTROL/prerm
===================================================================
--- ipk/source.sh4/players_tithek/CONTROL/prerm	(revision 23481)
+++ ipk/source.sh4/players_tithek/CONTROL/prerm	(revision 23481)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.titanskin
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
+	FREE=`expr $SPACE - 100`
+	echo new freespace size $FREE kb
+else
+	echo "syncing disk"
+	sync
+fi
+echo "removing TiThek"
+exit 0
